com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedFocusListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<FocusListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedFocusListener

All Implemented Interfaces:
  BlurHandler, FocusHandler, EventHandler

Enclosing class:
  ListenerWrapper<T>

    public static class ListenerWrapper.WrappedFocusListener
    extends ListenerWrapper<FocusListener>
    implements FocusHandler, BlurHandler

Wrapper for a `FocusListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ListenerWrapper.WrappedFocusListener` `add(HasAllFocusHandlers eventSource, FocusListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`void` `onBlur(BlurEvent event)` Called when BlurEvent is fired.
`void` `onFocus(FocusEvent event)` Called when FocusEvent is fired.
`static void` `remove(Widget eventSource, FocusListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    @Deprecated
    public static ListenerWrapper.WrappedFocusListener add(HasAllFocusHandlers eventSource,
                                                                       FocusListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Adds the wrapped listener.

Parameters:
  `eventSource` - the event source
  `listener` - the listener
Returns:
  the wrapped listener

#### remove

    @Deprecated
    public static void remove(Widget eventSource,
                                          FocusListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Removes the wrapped listener.

Parameters:
  `eventSource` - the event source from which to remove the wrapped listener
  `listener` - the listener to remove

#### onBlur

    public void onBlur(BlurEvent event)

Description copied from interface: `BlurHandler`
Called when BlurEvent is fired.

Specified by:
  `onBlur` in interface `BlurHandler`
Parameters:
  `event` - the `BlurEvent` that was fired

#### onFocus

    public void onFocus(FocusEvent event)

Description copied from interface: `FocusHandler`
Called when FocusEvent is fired.

Specified by:
  `onFocus` in interface `FocusHandler`
Parameters:
  `event` - the `FocusEvent` that was fired